using System.Collections.Generic;
using System.Text.Json.Serialization;
using Topsdk.Util;
using Topsdk.Top.Ability376.Domain;

namespace Topsdk.Top.Ability376.Response;

public class TaobaoTbkSpreadGetResponse : AbstractTopApiResponse
{

    /*
        传播形式对象列表
            */
    private IList<TaobaoTbkSpreadGetTbkSpread>? results;


    /*
        totalResults
            */
    private long? totalResults;


    [JsonPropertyName("results")]
    public IList<TaobaoTbkSpreadGetTbkSpread>? Results
    {
        get => results;
        set => this.results = value;
    }

    [JsonPropertyName("total_results")]
    public long? TotalResults
    {
        get => totalResults;
        set => this.totalResults = value;
    }

}

